com.unitech.lib.uhf.types

## Enum RFMode

- java.lang.Object
- - java.lang.Enum<RFMode>
  - - com.unitech.lib.uhf.types.RFMode

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<RFMode>

      public enum RFMode
      extends Enum<RFMode>
      implements IEnumType

  Enum representing the RF modes for the UHF device. Each mode corresponds to a specific RF setting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RF_1`
    `RF_102`
    `RF_103`
    `RF_11`
    `RF_12`
    `RF_120`
    `RF_123`
    `RF_124`
    `RF_125`
    `RF_13`
    `RF_141`
    `RF_146`
    `RF_147`
    `RF_148`
    `RF_15`
    `RF_185`
    `RF_202`
    `RF_203`
    `RF_222`
    `RF_223`
    `RF_225`
    `RF_226`
    `RF_241`
    `RF_244`
    `RF_285`
    `RF_3`
    `RF_302`
    `RF_323`
    `RF_324`
    `RF_325`
    `RF_342`
    `RF_343`
    `RF_344`
    `RF_345`
    `RF_382`
    `RF_5`
    `RF_7`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `String` | `toString()` Return the name of the enum
    `static RFMode` | `valueOf(int code)`
    `static RFMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RFMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RF_103

          public static final RFMode RF_103

    - #### RF_11

          public static final RFMode RF_11

    - #### RF_102

          public static final RFMode RF_102

    - #### RF_302

          public static final RFMode RF_302

    - #### RF_120

          public static final RFMode RF_120

    - #### RF_203

          public static final RFMode RF_203

    - #### RF_1

          public static final RFMode RF_1

    - #### RF_124

          public static final RFMode RF_124

    - #### RF_323

          public static final RFMode RF_323

    - #### RF_202

          public static final RFMode RF_202

    - #### RF_226

          public static final RFMode RF_226

    - #### RF_15

          public static final RFMode RF_15

    - #### RF_147

          public static final RFMode RF_147

    - #### RF_344

          public static final RFMode RF_344

    - #### RF_148

          public static final RFMode RF_148

    - #### RF_345

          public static final RFMode RF_345

    - #### RF_225

          public static final RFMode RF_225

    - #### RF_12

          public static final RFMode RF_12

    - #### RF_125

          public static final RFMode RF_125

    - #### RF_223

          public static final RFMode RF_223

    - #### RF_325

          public static final RFMode RF_325

    - #### RF_3

          public static final RFMode RF_3

    - #### RF_123

          public static final RFMode RF_123

    - #### RF_222

          public static final RFMode RF_222

    - #### RF_324

          public static final RFMode RF_324

    - #### RF_5

          public static final RFMode RF_5

    - #### RF_141

          public static final RFMode RF_141

    - #### RF_241

          public static final RFMode RF_241

    - #### RF_342

          public static final RFMode RF_342

    - #### RF_7

          public static final RFMode RF_7

    - #### RF_146

          public static final RFMode RF_146

    - #### RF_244

          public static final RFMode RF_244

    - #### RF_343

          public static final RFMode RF_343

    - #### RF_13

          public static final RFMode RF_13

    - #### RF_185

          public static final RFMode RF_185

    - #### RF_285

          public static final RFMode RF_285

    - #### RF_382

          public static final RFMode RF_382

  - ### Method Detail

    - #### values

          public static RFMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFMode c : RFMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<RFMode>`
      Returns:
        The name of the enum

    - #### valueOf

          public static RFMode valueOf(int code)